[问题][讨论]编译内核需要那些工具?

为当前最终发行版之前的所有版本提供支持
回复
Hoyin
帖子: 44
注册时间: 2006-09-19 0:34
送出感谢: 0
接收感谢: 0

[问题][讨论]编译内核需要那些工具?

#1

帖子 Hoyin » 2006-12-07 9:30

在Ubuntu下需要下载什么工具才到编译内核呢?我在讨论找到相关内容按其也没有完全解决,而我在学校用Red Hat就没有这么麻烦。
附件
ubuntu.GIF
lisir
帖子: 1187
注册时间: 2006-04-29 14:54
来自: 山东
送出感谢: 0
接收感谢: 0
联系:

#2

帖子 lisir » 2006-12-07 15:47

viewtopic.php?p=167130#167130
请参考。

编译内核主要是build-essential和libncurses5-dev(第二个是make menuconfig需要的)这两个包。
学会看置顶帖、精华帖。
学会使用搜索。
常见问题解答和发帖需知
Hoyin
帖子: 44
注册时间: 2006-09-19 0:34
送出感谢: 0
接收感谢: 0

#3

帖子 Hoyin » 2006-12-07 19:00

我已经按步就班仍然没有解决所有问题,现在会出现附图中的错误,但最终还是能进入menuconfi界面。
附件
ubuntu.GIF
头像
karron
帖子: 6226
注册时间: 2005-06-11 14:03
来自: 不明真相的群众
送出感谢: 0
接收感谢: 0
联系:

#4

帖子 karron » 2006-12-07 19:20

http://www.ubuntuforums.org/showthread. ... ile+kernel

注意换成你自己要编译的内核的版本
我的blog,关于技术,软件,linux,vim <---- 所有博客均被河蟹.
头像
BigSnake.NET
帖子: 12522
注册时间: 2006-07-02 11:16
来自: 廣州
送出感谢: 0
接收感谢: 7 次
联系:

#5

帖子 BigSnake.NET » 2006-12-07 19:23

楼主为什么而编译内核
^_^ ~~~
要理解递归,首先要理解递归。

地球人都知道,理论上,理论跟实际是没有差别的,但实际上,理论跟实际的差别是相当大滴。
Hoyin
帖子: 44
注册时间: 2006-09-19 0:34
送出感谢: 0
接收感谢: 0

#6

帖子 Hoyin » 2006-12-09 11:09

我是学网络方面的学生,学Linux有一个月,前几天老师教到编译内核,所以想体验一下这过程。高手们帮帮忙吧?
回复

回到 “老旧版本支持”